<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.energy.mapper.EleLineMapper">


    <select id="getAllLine" resultType="EleLine">
        select a.* from ele_line a
        inner join ele_logic_dev b on a.pid = b.id
        inner join ele_logic_access c on b.did = c.did
        inner join ele_net_dev d on c.pid = d.id
        where d.name = #{netDevName}
    </select>


</mapper>
